Bug 444525 - RFE: add ext4/ext4dev support to system-config-lvm in RHEL5
RFE: add ext4/ext4dev support to system-config-lvm in RHEL5
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-lvm (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Marek Grac
Corey Marthaler
: FutureFeature
Depends On:
Blocks: 447797 5.5TechNotes-Updates
  Show dependency treegraph
 
Reported: 2008-04-28 16:57 EDT by Eric Sandeen
Modified: 2016-04-26 10:44 EDT (History)
8 users (show)

See Also:
Fixed In Version: system-config-lvm-1.1.5-2.el5
Doc Type: Enhancement
Doc Text:
Administrators wishing to utilize this feature must install the e4fsprogs package. Note that resizing an ext4 file system using system-config-lvm does not work at this time.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:42:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sandeen 2008-04-28 16:57:29 EDT
We're starting to get some testing of ext4 on RHEL5, and we may get it to a tech
preview status by RHEL5.3 - to support this, a few system utilities could use
updates for ext4.

Adding ext4 support to system-config-lvm would be great.

I've attached a patch for this in F9 to bug #432065.

Thanks,

-Eric
Comment 5 Brian Brock 2010-03-08 15:42:45 EST
when I try to create a new lv, I see filesystem choices for ext2, ext3, gfs (local), and gfs (clustered).  I don't see anything for ext4 after looking around.
Comment 6 Eric Sandeen 2010-03-08 16:17:00 EST
Do you have e4fsprogs installed?  I think you must have tools installed before it will show up.

-Eric
Comment 7 Eric Sandeen 2010-03-08 16:18:27 EST
Hm, the patch I sent for upstream isn't going to be too happy though, with our renamed tools:

+    def extend_online(self, dev_path):
+        cmd = '/sbin/resize2fs'


in rhel5 that's going to be "resize4fs"

similar for e2fsck / e4fsck etc.

-Eric
Comment 10 Lon Hohberger 2010-03-09 17:13:18 EST
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
This feature is being introduced as a Technical Preview.  Administrators wishing to utilize this feature must install the e4fsprogs package.  Resizing an ext4 file system using system-config-lvm does not work and is not supported at this time.
Comment 11 Lon Hohberger 2010-03-09 17:21:23 EST
Technical note updated. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-This feature is being introduced as a Technical Preview.  Administrators wishing to utilize this feature must install the e4fsprogs package.  Resizing an ext4 file system using system-config-lvm does not work and is not supported at this time.+Support of creation of ext4 file systems by system-config-lvm is being introduced as a Technical Preview.  Administrators wishing to utilize this feature must install the e4fsprogs package.  Note that resizing an ext4 file system using system-config-lvm does not work at this time.
Comment 13 Lon Hohberger 2010-03-09 17:34:02 EST
Technical note updated. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-Support of creation of ext4 file systems by system-config-lvm is being introduced as a Technical Preview.  Administrators wishing to utilize this feature must install the e4fsprogs package.  Note that resizing an ext4 file system using system-config-lvm does not work at this time.+Administrators wishing to utilize this feature must install the e4fsprogs package.  Note that resizing an ext4 file system using system-config-lvm does not work at this time.
Comment 15 Lon Hohberger 2010-03-09 18:14:13 EST
I have filed the following bug to track the ext4 resize issue:

https://bugzilla.redhat.com/show_bug.cgi?id=571995
Comment 17 errata-xmlrpc 2010-03-30 04:42:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0267.html

Note You need to log in before you can comment on or make changes to this bug.